My customization recipe for SystemRescue:
===================================================
## Dependencies
squashfs-tools, xorriso (provided by dev-libs/libisoburn package in gentoo GNU/
Linux - WARNING: requires zstd USE flag enabled) and
[sysrescue-customize.sh](https://gitlab.com/systemrescue/systemrescue-sources/-/raw/main/airootfs/usr/share/sysrescue/bin/sysrescue-customize?inline=false)
are required to apply these customizations

## Description
This recipe adds the following to the custom ISO:
- It adds an "authorized_keys" file in /root/.ssh/ so I can connect to the
  custom SystemRescue via SSH and authenticate with my SSH keys
- It adds an "id_ed25519" file in /root/.ssh/ so I can connect to other
  devices through ssh (.gitignored for security reasons)
- It adds a custom autorun script to open inbound and outbound connections on
  port 22 for ssh connections
- It adds a settings yaml file which overrides the default settings so the
  custom SystemRescue starts with my own preferences, such as a spanish
  keyboard, it copies the system into RAM (so the boot device can be removed), 
  and it adds a persistent storage volume (see:
  [persistent-storage](persistent-storage.md) for further instructions).

Please note the ".squashfs-pseudo" file is important to enforce correct
permissions and ownership on the /root directory and its contents. You should
update this file is you add more custom files into the system through the SRM.

Please read the official documentation for more details:
https://www.system-rescue.org/scripts/sysrescue-customize/
